Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.injectors
Class AbstractInjector.UnsatisfiableDependenciesException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.picocontainer.PicoException
                      org.picocontainer.PicoCompositionException
                          org.picocontainer.injectors.AbstractInjector.UnsatisfiableDependenciesException

All Implemented Interfaces:
  Serializable

Enclosing class:
  AbstractInjector<T>

    public static class AbstractInjector.UnsatisfiableDependenciesException

extends PicoCompositionException

Exception thrown when some of the component's dependencies are not satisfiable.

Author:
  Aslak Hellesøy, Mauro Talevi
See Also:
  Serialized Form

Constructor Summary
`AbstractInjector.UnsatisfiableDependenciesException(ComponentAdapter<?> instantiatingComponentAdapter, Type unsatisfiedDependencyType, Set unsatisfiableDependencies, PicoContainer leafContainer)`

Method Summary
`PicoContainer` | `getLeafContainer()`
`ComponentAdapter<?>` | `getUnsatisfiableComponentAdapter()`
`Set` | `getUnsatisfiableDependencies()`
`Type` | `getUnsatisfiedDependencyType()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractInjector.UnsatisfiableDependenciesException

    public AbstractInjector.UnsatisfiableDependenciesException(ComponentAdapter<?> instantiatingComponentAdapter,
                                                               Type unsatisfiedDependencyType,
                                                               Set unsatisfiableDependencies,
                                                               PicoContainer leafContainer)

Method Detail

### getUnsatisfiableComponentAdapter

    public ComponentAdapter<?> getUnsatisfiableComponentAdapter()

### getUnsatisfiableDependencies

    public Set getUnsatisfiableDependencies()

### getUnsatisfiedDependencyType

    public Type getUnsatisfiedDependencyType()

### getLeafContainer

    public PicoContainer getLeafContainer()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.